/* Overlay */
.td-popup-overlay {
    position: fixed;
    bottom: 5px;
    left: 5px;
    width: fit-content;
    height: fit-content;
    background: rgb(0 0 0 / 0%);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 99999;
    opacity: 0;
    visibility: hidden;
    transition: all .35s ease;
}

.td-popup-overlay.show{
    opacity:1;
    visibility:visible;
}
.td-popup {
    width: 100%;
    max-width: 225px;
    background: #021030bd;
    border-radius: 20px;
    overflow: hidden;
    position: relative;
    box-shadow: 0 20px 60px rgba(0,0,0,.25);
    animation: popupScale .4s ease;
}

.td-popup::before {
    content: "";
    display: block;
    height: 8px;
    background: linear-gradient(90deg, #02287a, #f9ba34);
}

.td-popup-content {
    padding: 20px 16px;
    text-align: center;
}

.td-popup-content h2 {
    margin: 0 0 8px;
    color: #ffffff;
    font-size: 20px;
    font-weight: 700;
    line-height: 1.2;
}
.td-popup-content p {
    margin: 0 0 12px;
    color: #ffffff;
    font-size: 14px;
    line-height: 1.5;
}
.td-close-btn {
    position: absolute;
    top: 3px;
    left: 3px;
    border: none;
    background: none;
    font-size: 25px;
    cursor: pointer;
    color: var(--bs-primary);
    line-height: 1;
    background-color: #ffffff;
    width: 25px;
    height: 25px;
    border-radius: 50%;
}

.td-close-btn:hover{
    color:#000;
}
.td-popup a.btn.btn-primary {
    padding: 8px 25px;
    font-size: 12px;
}
/* Animation */
@keyframes popupScale{
    from{
        transform:scale(.8);
        opacity:0;
    }
    to{
        transform:scale(1);
        opacity:1;
    }
}

@media(max-width:768px){
 
.td-close-btn {
    top: 2px;
    left: 2px;
}
}
@media(max-width:767px){
    .td-popup-content h2 {
    font-size: 18px;
}
.td-popup a.btn.btn-primary {
    padding: 8px 20px;
    font-size: 10px;
    border-radius: 10px;
}
.td-popup {
    max-width: 180px;
    backdrop-filter: blur(4px);
}
.td-popup-content {
    padding: 14px 10px;
}
.td-close-btn {
    top: 2px;
    left: 2px;
    width: 20px;
    height: 20px;
    line-height: 22px;
    font-size: 22px;
}
}